Bug 507383 - Rhythmbox no longer recognises my Android phone as an audio player
Rhythmbox no longer recognises my Android phone as an audio player
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
10
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-22 11:35 EDT by Gavin Brown
Modified: 2009-12-18 04:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:34:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gavin Brown 2009-06-22 11:35:41 EDT
Description of problem:

When I plugged my Android G1 phone into my computer, it used to appear as an audio player in Rhythmbox. Now it doesn't.

Version-Release number of selected component (if applicable):

rhythmbox-0.11.6-20.r6096.fc10.x86_64

The phone is running the 1.5 "Cupcake" firmware.

How reproducible:

Always

Steps to Reproduce:
1. Connect G1 phone via USB cable
2. Mount the phone's SD card
3. Open Rhythmbox
  
Actual results:

The Rhythmbox window appears without showing the G1 device in the Source browser

Expected results:

The Rhythmbox window appears showing the G1 device in the Source browser

Additional info:

This is what I see when I run rhythmbox -d:

(15:28:50) [0x1071650] [dump_volume_identifiers] rb-removable-media-manager.c:550: unix-device = /dev/sdg1
(15:28:50) [0x1071650] [dump_volume_identifiers] rb-removable-media-manager.c:550: hal-udi = /org/freedesktop/Hal/devices/volume_uuid_3866_6234
(15:28:50) [0x1071650] [dump_volume_identifiers] rb-removable-media-manager.c:550: uuid = 3866-6234
(15:28:50) [0x1071650] [rb_removable_media_manager_add_volume] rb-removable-media-manager.c:588: Unhandled media
(15:28:50) [0x1071650] [rhythmdb_mount_added_cb] rhythmdb-monitor.c:465: volume file:///media/disk-1 mounted
(15:28:50) [0x1071650] [dump_volume_identifiers] rb-removable-media-manager.c:550: unix-device = /dev/sdg1
(15:28:50) [0x1071650] [dump_volume_identifiers] rb-removable-media-manager.c:550: hal-udi = /org/freedesktop/Hal/devices/volume_uuid_3866_6234
(15:28:50) [0x1071650] [dump_volume_identifiers] rb-removable-media-manager.c:550: uuid = 3866-6234
(15:28:50) [0x1071650] [hal_udi_is_ipod] rb-ipod-helpers.c:458: Error: No property portable_audio_player.access_method.protocols on device with id /org/freedesktop/Hal/devices/storage_serial_HTC_Android_Phone_HT91NKV02822_0_0

(15:28:50) [0x1071650] [hal_udi_is_nokia770] rb-nokia770-source.c:179: Nokia detection: info.parent=/org/freedesktop/Hal/devices/storage_serial_HTC_Android_Phone_HT91NKV02822_0_0
(15:28:50) [0x1071650] [hal_udi_is_nokia770] rb-nokia770-source.c:184: Nokia detection: info.vendor=HTC
(15:28:50) [0x1071650] [get_hal_udi_for_player] rb-generic-player-source.c:1469: searching for player udi from /org/freedesktop/Hal/devices/volume_uuid_3866_6234
(15:28:50) [0x1071650] [get_hal_udi_for_player] rb-generic-player-source.c:1478: parent of udi /org/freedesktop/Hal/devices/volume_uuid_3866_6234: /org/freedesktop/Hal/devices/storage_serial_HTC_Android_Phone_HT91NKV02822_0_0
(15:28:50) [0x1071650] [get_hal_udi_for_player] rb-generic-player-source.c:1478: parent of udi /org/freedesktop/Hal/devices/storage_serial_HTC_Android_Phone_HT91NKV02822_0_0: /org/freedesktop/Hal/devices/usb_device_bb4_c02_HT91NKV02822_if0_scsi_host_0_scsi_device_lun0
(15:28:50) [0x1071650] [free_dbus_error] rb-generic-player-source.c:1508: finding audio player udi: dbus error: No property info.capabilities on device with id /org/freedesktop/Hal/devices/usb_device_bb4_c02_HT91NKV02822_if0_scsi_host_0_scsi_device_lun0
(15:28:50) [0x1071650] [rb_generic_player_is_mount_player] rb-generic-player-source.c:865: device is not an audio player
(15:28:50) [0x1071650] [rb_removable_media_manager_add_mount] rb-removable-media-manager.c:649: Unhandled media
Comment 1 Bastien Nocera 2009-06-22 12:32:02 EDT
What do you mean "now it doesn't"? When did it work?
Comment 2 Gavin Brown 2009-06-23 11:20:23 EDT
Sorry, I cannot say for certain when it stopped working, but my best guess is that it happened after I upgraded it to the 1.5 Cupcake firmware, perhaps because it's differently identified with the firmware update?

Here's what dmesg says when I plug it in:

usb-storage: device found at 5
usb-storage: waiting for device to settle before scanning
usb 1-5: New USB device found, idVendor=0bb4, idProduct=0c02
usb 1-5: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb 1-5: Product: Android Phone
usb 1-5: Manufacturer: HTC
usb 1-5: SerialNumber: HT91NKV02822
usb-storage: device scan complete
scsi 6:0:0:0: Direct-Access     HTC      Android Phone    0100 PQ: 0 ANSI: 2
sd 6:0:0:0: [sdg] Attached SCSI removable disk
sd 6:0:0:0: Attached scsi generic sg7 type 0
sd 6:0:0:0: [sdg] 15523840 512-byte hardware sectors (7948 MB)
sd 6:0:0:0: [sdg] Write Protect is off
sd 6:0:0:0: [sdg] Mode Sense: 03 00 00 00
sd 6:0:0:0: [sdg] Assuming drive cache: write through
sd 6:0:0:0: [sdg] 15523840 512-byte hardware sectors (7948 MB)
sd 6:0:0:0: [sdg] Write Protect is off
sd 6:0:0:0: [sdg] Mode Sense: 03 00 00 00
sd 6:0:0:0: [sdg] Assuming drive cache: write through
 sdg: sdg1
Comment 3 Bastien Nocera 2009-06-23 11:42:18 EDT
In /usr/share/hal/fdi/information/10freedesktop/10-usb-music-players.fdi, make the following changes (in the "Android" section):
-           <match key="@storage.originating_device:usb.product_id" int_outof="0xc01;0xc13">
+          <match key="@storage.originating_device:usb.product_id" int_outof="0xc01;0xc02;0xc13">
Comment 4 Gavin Brown 2009-06-23 11:58:15 EDT
After making this change, Rhythmbox detects the phone as an audio player and I am able to manage the music on it without problems. Thanks!
Comment 5 Feng Yu 2009-10-25 15:07:58 EDT
seems to me this modification is not needed after android 1.6 update.
Comment 6 Bug Zapper 2009-11-18 07:53:31 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 04:34:47 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.